Subject: bug#17666: closed (Re: bug#17666: 24.3.91; [regression] call-process in read-only buffers)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 02 Jun 2014 18:15:02 +0000

Your bug report

#17666: 24.3.91; [regression] call-process in read-only buffers

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17666: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17666
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17666: 24.3.91; [regression] call-process in read-only buffers
From: "Roland Winkler" <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked], Stefan Monnier <[email-masked]>
Date: Mon, 2 Jun 2014 13:14:15 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon Jun 2 2014 Glenn Morris wrote:
> If you know it isn't going to produce any output, why don't you
> just discard the output instead of sending it to a read-only
> buffer (which is something that really doesn't make sense)?

Certainly, there are various ways around this.

In my case, I cannot remember anymore in all detail why I wrote the
code the way I did.  I expect that I was really *expecting* to have
no output.  Also, in my case, the call of call-process is associated
with a buffer that is most often read-only. So using a read-only
buffer for the process output was probably my cheap solution to keep
track of "really no output".

Subject: 24.3.91; [regression] call-process in read-only buffers
From: "Roland Winkler" <[email-masked]>
To: [email-masked]
Date: Mon, 02 Jun 2014 10:01:52 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

evaluate the following with emacs -Q

;; running a process with no output via call-process
;; in any read-only buffer will do
(with-temp-buffer
  (let ((buffer-read-only t))
    (call-process "true" nil t)))

No problem with emacs 24.3

24.3.91:  Buffer is read-only: #<killed buffer>

In GNU Emacs 24.3.91.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
 of 2014-05-12 on regnitz
Windowing system distributor `The X.Org Foundation', version 11.0.11103000
System Description:	Ubuntu 12.04.4 LTS

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_US.ISO-8859-15
  locale-coding-system: iso-latin-9-unix

Major mode: Lisp Interaction